# Standard library header <cuchar>

From cppreference.com
< cpp‎ | header

This header was originally in the C standard library as `<uchar.h>`.

This header is part of the null-terminated multibyte strings library.

### Macros

__STDC_UTF_16__ | indicates that UTF-16 encoding is used by mbrtoc16 and c16rtomb (macro constant)
__STDC_UTF_32__ | indicates that UTF-32 encoding is used by mbrtoc32 and c32rtomb (macro constant)

### Types

mbstate_t | conversion state information necessary to iterate multibyte character strings (class)
size_t | unsigned integer type returned by the `sizeof` operator (typedef)

### Functions

mbrtoc16 (C++11) | Converts a narrow multibyte character to UTF-16 encoding (function)
c16rtomb (C++11) | convert a 16-bit wide character to narrow multibyte string (function)
mbrtoc32 (C++11) | converts a narrow multibyte character to UTF-32 encoding (function)
c32rtomb (C++11) | convert a 32-bit wide character to narrow multibyte string (function)
mbrtoc8 (C++20) | converts a narrow multibyte character to UTF-8 encoding (function)
c8rtomb (C++20) | converts UTF-8 string to narrow multibyte encoding (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/header/cuchar&oldid=107202"